# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

config etc/ardour7/./default_ui_config.new
config etc/ardour7/./ardour.menus.new
config etc/ardour7/./system_config.new
config etc/ardour7/./clearlooks.rc.new
config etc/ardour7/./ardour.keys.new
config etc/ardour7/./clearlooks.ardoursans.rc.new
( cd usr/bin ; rm -rf ardour7-copy-mixer )
( cd usr/bin ; ln -sf /usr/lib64/ardour7/utils/ardour-util.sh ardour7-copy-mixer )
( cd usr/bin ; rm -rf ardour7-export )
( cd usr/bin ; ln -sf /usr/lib64/ardour7/utils/ardour-util.sh ardour7-export )
( cd usr/bin ; rm -rf ardour7-new_empty_session )
( cd usr/bin ; ln -sf /usr/lib64/ardour7/utils/ardour-util.sh ardour7-new_empty_session )
( cd usr/bin ; rm -rf ardour7-new_session )
( cd usr/bin ; ln -sf /usr/lib64/ardour7/utils/ardour-util.sh ardour7-new_session )
( cd usr/lib64/ardour7 ; rm -rf libardour.so )
( cd usr/lib64/ardour7 ; ln -sf libardour.so.3.0.0 libardour.so )
( cd usr/lib64/ardour7 ; rm -rf libardour.so.3 )
( cd usr/lib64/ardour7 ; ln -sf libardour.so.3.0.0 libardour.so.3 )
( cd usr/lib64/ardour7 ; rm -rf libardouralsautil.so )
( cd usr/lib64/ardour7 ; ln -sf libardouralsautil.so.0.0.1 libardouralsautil.so )
( cd usr/lib64/ardour7 ; rm -rf libardouralsautil.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libardouralsautil.so.0.0.1 libardouralsautil.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libaudiographer.so )
( cd usr/lib64/ardour7 ; ln -sf libaudiographer.so.0.0.0 libaudiographer.so )
( cd usr/lib64/ardour7 ; rm -rf libaudiographer.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libaudiographer.so.0.0.0 libaudiographer.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libcanvas.so )
( cd usr/lib64/ardour7 ; ln -sf libcanvas.so.0.0.0 libcanvas.so )
( cd usr/lib64/ardour7 ; rm -rf libcanvas.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libcanvas.so.0.0.0 libcanvas.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libevoral.so )
( cd usr/lib64/ardour7 ; ln -sf libevoral.so.0.0.0 libevoral.so )
( cd usr/lib64/ardour7 ; rm -rf libevoral.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libevoral.so.0.0.0 libevoral.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libgtkmm2ext.so )
( cd usr/lib64/ardour7 ; ln -sf libgtkmm2ext.so.0.8.3 libgtkmm2ext.so )
( cd usr/lib64/ardour7 ; rm -rf libgtkmm2ext.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libgtkmm2ext.so.0.8.3 libgtkmm2ext.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libmidipp.so )
( cd usr/lib64/ardour7 ; ln -sf libmidipp.so.4.1.0 libmidipp.so )
( cd usr/lib64/ardour7 ; rm -rf libmidipp.so.4 )
( cd usr/lib64/ardour7 ; ln -sf libmidipp.so.4.1.0 libmidipp.so.4 )
( cd usr/lib64/ardour7 ; rm -rf libpbd.so )
( cd usr/lib64/ardour7 ; ln -sf libpbd.so.4.1.0 libpbd.so )
( cd usr/lib64/ardour7 ; rm -rf libpbd.so.4 )
( cd usr/lib64/ardour7 ; ln -sf libpbd.so.4.1.0 libpbd.so.4 )
( cd usr/lib64/ardour7 ; rm -rf libptformat.so )
( cd usr/lib64/ardour7 ; ln -sf libptformat.so.0.0.0 libptformat.so )
( cd usr/lib64/ardour7 ; rm -rf libptformat.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libptformat.so.0.0.0 libptformat.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libtemporal.so )
( cd usr/lib64/ardour7 ; ln -sf libtemporal.so.0.0.0 libtemporal.so )
( cd usr/lib64/ardour7 ; rm -rf libtemporal.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libtemporal.so.0.0.0 libtemporal.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libwaveview.so )
( cd usr/lib64/ardour7 ; ln -sf libwaveview.so.0.0.0 libwaveview.so )
( cd usr/lib64/ardour7 ; rm -rf libwaveview.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libwaveview.so.0.0.0 libwaveview.so.0 )
( cd usr/lib64/ardour7 ; rm -rf libwidgets.so )
( cd usr/lib64/ardour7 ; ln -sf libwidgets.so.0.0.0 libwidgets.so )
( cd usr/lib64/ardour7 ; rm -rf libwidgets.so.0 )
( cd usr/lib64/ardour7 ; ln -sf libwidgets.so.0.0.0 libwidgets.so.0 )
( cd usr/lib64/ardour7/vamp ; rm -rf libardourvamppyin.so )
( cd usr/lib64/ardour7/vamp ; ln -sf libardourvamppyin.so.0.0.0 libardourvamppyin.so )
( cd usr/lib64/ardour7/vamp ; rm -rf libardourvamppyin.so.0 )
( cd usr/lib64/ardour7/vamp ; ln -sf libardourvamppyin.so.0.0.0 libardourvamppyin.so.0 )
